Early abort of /etc/init.d/acpid because of non-zero exit status

Bug #67026 reported by David Kastrup
4
Affects Status Importance Assigned to Milestone
acpid (Ubuntu)
Invalid
Undecided
Daniel Hahler

Bug Description

Binary package hint: acpid

Please apply the following patch in order not to have the given init script abort early because of non-zero exit status when $VERBOSE is not set to "no".

--- /etc/init.d/acpid.dpkg-dist 2006-09-15 19:48:03.000000000 +0200
+++ /etc/init.d/acpid 2005-11-29 22:49:43.966076152 +0100
@@ -25,7 +25,7 @@
 # the ones listed in "MODULES".
 load_modules() {
         PRINTK=`cat /proc/sys/kernel/printk`
- [ "$VERBOSE" = no ] && echo "0 0 0 0" > /proc/sys/kernel/printk
+ [ "$VERBOSE" != no ] || echo "0 0 0 0" > /proc/sys/kernel/printk

         LIST=`/sbin/lsmod|awk '!/Module/ {print $1}'`

@@ -48,10 +48,10 @@
                for mod in $MODULES; do
                        echo $MODAVAIL | grep -q -w "$mod" || continue
                        if echo $LIST | grep -q -w "$mod"; then
- [ "$VERBOSE" != no ] && log_success_msg "Module already loaded: $mod"
+ [ "$VERBOSE" = no ] || log_success_msg "Module already loaded: $mod"
                        else
- if modprobe -b $mod 2>/dev/null; then
- [ "$VERBOSE" != no ] && log_success_msg "Loaded module: $mod"
+ if modprobe "$mod" 2>/dev/null; then
+ [ "$VERBOSE" = no ] || log_success_msg "Loaded module: $mod"
                                else
                                        if [ "$VERBOSE" != no ]; then
                                                log_warning_msg "Unable to load module: $mod"

Revision history for this message
David Kastrup (dak) wrote :
Revision history for this message
Daniel Hahler (blueyed) wrote :

I cannot see a problem with using VERBOSE=yes in /etc/default/rcS and "sudo invoke-rc.d acpid restart" in Ubuntu Hardy (acpid 1.0.4-5ubuntu8)

Please explain the problem in more detail, if it still exists for you.
Thank you.

Changed in acpid:
status: New → Incomplete
Revision history for this message
David Kastrup (dak) wrote : Re: [Bug 67026] Re: Early abort of /etc/init.d/acpid because of non-zero exit status

Daniel Hahler <email address hidden> writes:

> I cannot see a problem with using VERBOSE=yes in /etc/default/rcS and
> "sudo invoke-rc.d acpid restart" in Ubuntu Hardy (acpid 1.0.4-5ubuntu8)
>
> Please explain the problem in more detail, if it still exists for you.
> Thank you.
>
> ** Changed in: acpid (Ubuntu)
> Status: New => Incomplete

At the time of the report, /bin/sh -e aborted when, in effect, executing
"false && whatever". I can't say for sure whether /bin/sh at that point
of time was dash or bash on my computer.

At the current point of time, this construct does not appear to abort
when using either bash, dash or ash.

So it is not unlikely that the problem is gone now. I am resetting the
script on my computer to its default and hope that the problem does not
reoccur (my computer is just now upgrading to Hardy).

--
David Kastrup, Kriemhildstr. 15, 44793 Bochum

Revision history for this message
Daniel Hahler (blueyed) wrote :

Thank you for reporting back, David.
I'm closing the bug as "Invalid", as it was likely caused by a bug in another package, e.g. "dash", and we don't know where it was "Fix released".

Changed in acpid:
assignee: nobody → blueyed
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.